# Class PathManager

Class PathManager

While building a render engine, this Strategy class decides on the actual render strategy in accordance to the current controller settings (system state)

Declaration :

- C++ : class PathManager

Artifact : pathmanager, Component(s) : RenderPathManager

Operation buildProcessor

Declaration :

- Uml : + buildProcessor() : RenderGraph
- C++ : public: RenderGraph buildProcessor ()

All public operations : buildProcessor